EPhysics

Physics simulation integration and visual effects. More...

## Topics

| EPhysics Quaternion
| Quaternions are used to perform linear algebra rotations.
| EPhysics Shape
| Shapes are used to create bodies with shapes that differ from primitive ones, like box and cylinder.
| EPhysics Camera
| A camera defines the region of the physics world that will be rendered on the canvas.
| EPhysics World
| A world is required to simulate physics between bodies.
| EPhysics Body
| A body is a representation of an object inside a physics world.
| EPhysics Constraint
| Constraints can be used to limit bodies movements, between bodies or between bodies and the world.

## Functions

EAPI int | ephysics_init (void)
| Initialize EPhysics.
EAPI int | ephysics_shutdown (void)
| Shutdown EPhysics.

## Detailed Description

Physics simulation integration and visual effects.

## Function Documentation

## ephysics_init()

EAPI int ephysics_init | ( | void |  | ) |

Initialize EPhysics.

Initializes Bullet physics engine.

Returns
  The init counter value.

See also
  ephysics_shutdown().

Examples
  ephysics_logo.c, test_bouncing_ball.c, test_bouncing_text.c, test_camera.c, test_camera_track.c, test_collision_detection.c, test_collision_filter.c, test_constraint.c, test_delete.c, test_forces.c, test_growing_balls.c, test_no_gravity.c, test_rotating_forever.c, test_shapes.c, test_sleeping_threshold.c, test_slider.c, and test_velocity.c.

## ephysics_shutdown()

EAPI int ephysics_shutdown | ( | void |  | ) |

Shutdown EPhysics.

Shutdown Bullet physics engine. If init count reaches 0, all the existing worlds will be deleted, and consequently all the bodies.

Returns
  EPhysics' init counter value.

See also
  ephysics_init().

Examples
  ephysics_logo.c, test_camera.c, test_camera_track.c, test_collision_detection.c, test_delete.c, test_growing_balls.c, and test_velocity.c.